Fog File Reference
`#include <osg/StateAttribute>`
`#include <osg/Vec4>`

Go to the source code of this file.

## Classes

class | osg::Fog

## Namespaces

namespace | osg

## Macros

#define | OSG_FOG 1
#define | GL_FOG_DISTANCE_MODE_NV 0x855A
#define | GL_EYE_PLANE_ABSOLUTE_NV 0x855C
#define | GL_EYE_RADIAL_NV 0x855B
#define | GL_FOG_COORDINATE 0x8451
#define | GL_FRAGMENT_DEPTH 0x8452
#define | GL_FOG 0x0B60
#define | GL_EXP 0x0800
#define | GL_EXP2 0x0801
#define | GL_FOG_HINT 0x0C54

## Macro Definition Documentation

## GL_EXP

#define GL_EXP 0x0800

## GL_EXP2

#define GL_EXP2 0x0801

## GL_EYE_PLANE_ABSOLUTE_NV

#define GL_EYE_PLANE_ABSOLUTE_NV 0x855C

## GL_EYE_RADIAL_NV

#define GL_EYE_RADIAL_NV 0x855B

## GL_FOG

#define GL_FOG 0x0B60

Referenced by osg::Fog::getModeUsage().

## GL_FOG_COORDINATE

#define GL_FOG_COORDINATE 0x8451

## GL_FOG_DISTANCE_MODE_NV

#define GL_FOG_DISTANCE_MODE_NV 0x855A

## GL_FOG_HINT

#define GL_FOG_HINT 0x0C54

## GL_FRAGMENT_DEPTH

#define GL_FRAGMENT_DEPTH 0x8452

## OSG_FOG

#define OSG_FOG 1